This section describes the Progress Bar events that will be triggered when appropriate actions are performed. Following events are available in the Progress Bar.
valueChanged
- When the progress value changes, this event is triggered.progressCompleted
- When the progress reaches the maximum value, this event is triggered.animationComplete
- When animation is enabled and the progress to the value is reached, this event is triggered.annotationRender
- Before each annotation is rendered, this event is triggered.textRender
- Before the progress text is rendered, this event is triggeredload
- When the control begins to render, this event is triggered.loaded
- After the control has been rendered, this event is triggered.resized
- When the window is resized, this event is triggered.var progressbar = new ej.progressbar.ProgressBar({
type: 'Linear',
trackThickness: 24,
progressThickness: 24,
height: '60',
width: '100%',
value: 50,
labelStyle: {
color: '#FFFFFF'
},
animation: {
enable: true,
duration: 2000,
delay: 0
},
valueChanged: (args) => {
// Here you can customize the code.
},
progressCompleted: (args) => {
// Here you can customize the code.
},
animationComplete: (args) => {
// Here you can customize the code.
},
textRender: (args) => {
// Here you can customize the code.
},
annotationRender: (args) => {
// Here you can customize the code.
},
load: (args) => {
// Here you can customize the code.
},
loaded: (args) => {
// Here you can customize the code.
},
resized: (args) => {
// Here you can customize the code.
}
});
progressbar.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
<title>Essential JS 2 Progress Bar</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Typescript Toolbar Controls">
<meta name="author" content="Syncfusion">
<link href="//cdn.syncfusion.com/ej2/20.4.48/material.css" rel="stylesheet">
<link href="index.css" rel="stylesheet">
<script src="https://cdn.syncfusion.com/ej2/20.4.48/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
<div id="container">
<div class="row linear-parent">
<div id="element"></div>
</div>
</div>
<script>
var ele = document.getElementById('container');
if(ele) {
ele.style.visibility = "visible";
}
</script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Events in React Progress Bar

10 Aug 20268 minutes to read

valueChanged

This event is triggered when the progress value is changed.

import { ProgressBarComponent } from '@syncfusion/ej2-react-progressbar';
import * as React from "react";
import * as ReactDOM from "react-dom";
function App() {
    let progressInstance;
    function changeValue() {
        progressInstance.value = 80;
    }
    return (<div> <button onClick={changeValue}>Change value</button><br></br>
            <ProgressBarComponent id="linear" ref={linear1 => progressInstance = linear1} type='Linear' trackColor='gray' progressColor='blue' value={100} animation={{
            enable: false,
            duration: 2000,
            delay: 0
        }} valueChanged={(args) => {
            args.progressValue = 90;
        }}>
             </ProgressBarComponent>
         </div>);
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("container"));
import { ProgressBarComponent } from '@syncfusion/ej2-react-progressbar';
import {IProgressValueEventArgs} from '@syncfusion/ej2-progressbar';
import * as React from "react";
import * as ReactDOM from "react-dom";

function App() {
  let progressInstance: ProgressBarComponent;
  function changeValue() {
    progressInstance.value = 80;
  }

  return(<div> <button onClick={changeValue}>Change value</button><br></br>
            <ProgressBarComponent id="linear"
                        ref={linear1 => progressInstance = linear1}
                        type='Linear'
                        trackColor='gray'
                        progressColor='blue'
                        value={100}
                        animation={{
                            enable: false,
                            duration: 2000,
                            delay: 0
                        }}
                        valueChanged={(args: IProgressValueEventArgs) => {
                          args.progressValue = 90;
                        }}>
             </ProgressBarComponent>
         </div>
  )
};
export default App;
ReactDOM.render(<App />, document.getElementById("container"));

progressCompleted

This event is triggered when the progress attains the maximum value.

import { ProgressBarComponent } from '@syncfusion/ej2-react-progressbar';
import * as React from "react";
import * as ReactDOM from "react-dom";
function App() {
    return (<ProgressBarComponent id="linear2" type='Linear' value={100} animation={{
            enable: true,
            duration: 2000,
            delay: 0
        }} progressCompleted={(args) => {
            args.value = 50;
        }}>
          </ProgressBarComponent>);
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("container"));
import { ProgressBarComponent } from '@syncfusion/ej2-react-progressbar';
import {IProgressValueEventArgs} from '@syncfusion/ej2-progressbar';
import * as React from "react";
import * as ReactDOM from "react-dom";

function App() {
  return(<ProgressBarComponent id="linear2"
                        type='Linear'
                        value={100}
                        animation={{
                            enable: true,
                            duration: 2000,
                            delay: 0
                        }}
                        progressCompleted={(args: IProgressValueEventArgs) => {
                          args.value = 50;
                        }}>
          </ProgressBarComponent>
        )
};
export default App;
ReactDOM.render(<App />, document.getElementById("container"));

valueChanged event is triggered when the progress value is changed.
App.vue
<template>
<div id='loader'>LOADING....</div>
<div id='container'>
<div class="row linear-parent">
<div id="percentage" class="linear-progress">
<ejs-progressbar
refs=event
id='percentage'
type='Linear'
:trackThickness='trackThickness'
:progressThickness='progressThickness'
:value='value'
:labelStyle='labelStyle'
:valueChanged='valueChanged'
:showProgressValue='showProgressValue'
:animation='animation'
>
</ejs-progressbar>
</div>
<button id="reLoad" @click="onClick()">ValueChanged</button>
</div>
</div>
</template>
<script>
import Vue from "vue";
import { Browser } from "@syncfusion/ej2-base";
import { ProgressBarPlugin } from "@syncfusion/ej2-vue-progressbar";
Vue.use(ProgressBarPlugin);
export default Vue.extend({
data: function() {
return {
trackThickness:24,
progressThickness:24,
value:90,
animation: {
enable: true,
duration: 2000,
delay: 0
},
labelStyle: {
color: '#FFFFFF'
},
showProgressValue: true
};
},
provide: {},
methods: {
valueChanged: function(args) {
args.progressColor = '#2BB20E';
},
onClick: ()=> {
this.refs.event.value = 50;
}
}
});
</script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
#container {
display: -webkit-box;
}
</style>
ProgressCompleted event is triggers when the ProgressBar attains the maximum value.
App.vue
<template>
<div id='loader'>LOADING....</div>
<div id='container'>
<div class="row linear-parent">
<div id="percentage" class="linear-progress">
<ejs-progressbar
id='percentage'
type='Linear'
:trackThickness='trackThickness'
:progressThickness='progressThickness'
:value='value'
:labelStyle='labelStyle'
:ProgressCompleted='ProgressCompleted'
:showProgressValue='showProgressValue'
:animation='animation'
>
</ejs-progressbar>
</div>
</div>
</div>
</template>
<script>
import Vue from "vue";
import { Browser } from "@syncfusion/ej2-base";
import { ProgressBarPlugin } from "@syncfusion/ej2-vue-progressbar";
Vue.use(ProgressBarPlugin);
export default Vue.extend({
data: function() {
return {
trackThickness:24,
progressThickness:24,
value:90,
animation: {
enable: true,
duration: 2000,
delay: 0
},
labelStyle: {
color: '#FFFFFF'
},
showProgressValue: true
};
},
provide: {},
methods: {
ProgressCompleted: function(args) {
args.progressColor = '#2BB20E';
}
}
});
</script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
#container {
display: -webkit-box;
}
</style>

Events in Angular Progress bar component

14 Nov 20225 minutes to read

Value Change

valueChanged event is triggered when the progress value is changed.

import { Component, OnInit, ViewChild } from '@angular/core';
import { ProgressBar, FontModel, AnimationModel, IProgressValueEventArgs } from '@syncfusion/ej2-progressbar';

@Component({
    selector: 'my-app',
    template:
    `<ejs-progressbar #charts id='charts' type='Linear'  trackThickness=24  progressThickness=24  value = 90 [labelStyle]='labelStyle' (valueChanged)='valueChanged($event)' [showProgressValue]='showProgressValue' [animation]='animation'>
    </ejs-progressbar>
    <button id="reLoad" (click)="onClick()">ValueChanged</button>`
})

export class AppComponent implements OnInit {
    public animation: AnimationModel;
    public labelStyle: FontModel;
    public showProgressValue: boolean;
    @ViewChild('charts')
    public charts: ProgressBar;
    public valueChanged(args: IProgressValueEventArgs): void {
        args.progressColor = '#2BB20E';
    }
    public onClick = () => {
        this.charts.value = 50;
    }
    ngOnInit(): void {
        this.animation = { enable: true, duration: 2000, delay: 0 };
        this.labelStyle = { color: '#FFFFFF' };
        this.showProgressValue = true;
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { ProgressBarModule } from '@syncfusion/ej2-angular-progressbar';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, ProgressBarModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent],
    providers: []
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

ProgressCompleted

ProgressCompleted event is triggered when the progress attains the Maximum value.

import { Component, OnInit } from '@angular/core';
import { FontModel, AnimationModel, IProgressValueEventArgs } from '@syncfusion/ej2-progressbar';
@Component({
    selector: 'my-app',
    template:
    `<ejs-progressbar id='percentage' type='Linear'  trackThickness=24  progressThickness=24  value = 100 [labelStyle]='labelStyle' (progressCompleted)='progressCompleted($event)' [showProgressValue]='showProgressValue' [animation]='animation'>
    </ejs-progressbar>`
 })
export class AppComponent implements OnInit {
    public animation: AnimationModel;
    public labelStyle: FontModel;
    public showProgressValue: boolean;
    public progressCompleted(args: IProgressValueEventArgs): void {
        args.progressColor = '#2BB20E';
    }
    ngOnInit(): void {
        this.animation = { enable: true, duration: 2000, delay: 0 };
        this.labelStyle = { color: '#FFFFFF' };
        this.showProgressValue = true;
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { ProgressBarModule } from '@syncfusion/ej2-angular-progressbar';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, ProgressBarModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent],
    providers: []
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);